## com.thingmagic
Enum SerialReader.SetUserProfileOption

    java.lang.Object
      java.lang.Enum<SerialReader.SetUserProfileOption>
          com.thingmagic.SerialReader.SetUserProfileOption

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<SerialReader.SetUserProfileOption>

Enclosing class:
  SerialReader

    public static enum SerialReader.SetUserProfileOption

extends java.lang.Enum<SerialReader.SetUserProfileOption>

Operation Options for cmdSetUserProfile

Enum Constant Summary
`CLEAR` Clear operation
`RESTORE` Restore operation
`SAVE` Save operation
`SAVEWITHREADPLAN` Save the read plan
`VERIFY` Verify operation

Method Summary
`int` `getValue()` internal use method
`static SerialReader.SetUserProfileOption` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static SerialReader.SetUserProfileOption[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SAVE

    public static final SerialReader.SetUserProfileOption SAVE

  Save operation

### RESTORE

    public static final SerialReader.SetUserProfileOption RESTORE

  Restore operation

### VERIFY

    public static final SerialReader.SetUserProfileOption VERIFY

  Verify operation

### CLEAR

    public static final SerialReader.SetUserProfileOption CLEAR

  Clear operation

### SAVEWITHREADPLAN

    public static final SerialReader.SetUserProfileOption SAVEWITHREADPLAN

  Save the read plan

Method Detail

### values

    public static SerialReader.SetUserProfileOption[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (SerialReader.SetUserProfileOption c : SerialReader.SetUserProfileOption.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static SerialReader.SetUserProfileOption valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getValue

    public int getValue()

  internal use method

  Returns:
    value